%define name serpentine
%define version 0.7
%define release %mkrel 3

%define muineplugindir %_prefix/lib/muine/plugins
Summary: Master audio CDs
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.berlios.de/serpentine/%{name}-%{version}.tar.bz2
Source1: gnome-dev-cdrom-audio-48.png
Source2: gnome-dev-cdrom-audio-32.png
Source3: gnome-dev-cdrom-audio-16.png
License: GPL
Group: Archiving/Cd burning
Url: http://s1x.homelinux.net/projects/serpentine/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: muine
BuildRequires: mono-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Requires: python-pyxml >= 0.8.4-2mdk
Requires: pygtk2.0-libglade
Requires: gstreamer0.10-python
Requires: gnome-python-gnomevfs
Requires: gnome-python-gconf
Requires: gnome-python-totem
Requires: gnome-python-nautilus-burn
BuildArch: noarch

%description
Serpentine is an application for mastering audio CDs. In it's design
simplicity will be the keyword. Dnd and saving states (think nautilus)
will play an important role here, since it will cleanup the UI a lot.
Serpentine will try to abide to GNOME HIG v2.0.

%package muine
Group: Archiving/Cd burning
Summary: CD writing plugin for muine
Requires: %name = %version
Requires: muine

%description muine
This is a CD writing plugin for the Muine player that uses Serpentine
for writing the playlist directly to a CD.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make
cd muine-plugin
make MCS=mcs

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="gnome-dev-cdrom-audio.png" \
  needs="x11" section="System/Archiving/CD Burning" title="Serpentine" \
  longtitle="Create audio CDs from music files" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot%muineplugindir
install -m 644 muine-plugin/SerpentinePlugin.dll %buildroot%muineplugindir

%find_lang %name

install -m 644 -D %SOURCE1 %buildroot%_liconsdir/gnome-dev-cdrom-audio.png
install -m 644 -D %SOURCE2 %buildroot%_iconsdir/gnome-dev-cdrom-audio.png
install -m 644 -D %SOURCE3 %buildroot%_miconsdir/gnome-dev-cdrom-audio.png

%post
%update_menus
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog
%_bindir/%name
%py_puresitedir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_menudir/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%files muine
%defattr(-,root,root)
%doc README
%muineplugindir/SerpentinePlugin.dll

%changelog
* Sat Sep 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7-3mdv2007.0
- add icons

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 0.7-2mdv2007.0
- xdg menu

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- fix deps
- New release 0.7

* Tue Mar 07 2006 Michael Scherer <misc@mandriva.org> 0.6.4-2mdk
- mkrel 
- use python macro

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdk
- New release 0.6.4

* Sun Sep 18 2005 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdk
- New release 0.6.3

* Fri Sep 16 2005 Gtz Waschk <waschk@mandriva.org> 0.6.2-2mdk
- fix buildrequires

* Fri Sep 16 2005 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdk
- New release 0.6.2

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdk
- rebuild for new gtk-sharp2

* Thu Jun 23 2005 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- drop patches
- New release 0.6.1

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-3mdk
- try to fix upstream bug 3939

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- add muine plugin

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- source URL
- New release 0.6

* Wed May  4 2005 Gtz Waschk <waschk@mandriva.org> 0.5-2mdk
- fix deps

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- initial package
